--***********************************************************
--**                THE Jordanal Mess                      **
--***********************************************************

--[[ pre 42.12 ver


local bodyLocation = BodyLocation.new(group, "Human")

group:getOrCreateLocation("MyLocation")
group:getOrCreateLocation("MyLocation2")
--]]


require("NPCs/BodyLocations")

-- 42.12 version:

local group = BodyLocations.getGroup("Human")

local bodyLocation = BodyLocation.new(group, "Belt419")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Belt420")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Belt421")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Belt422")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Belt423")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Kneepads")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Elbowpads")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Uparml")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Uparmr")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Uparml2")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Uparmr2")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Darml")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Darmr")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Dlegl")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Dlegr")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Footl")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Footr")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Handl")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Handr")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Back001")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Head001")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Tail001")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Ears001")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Chin001")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "TorsoExtraVest")
group:getAllLocations():add(bodyLocation)

local bodyLocation = BodyLocation.new(group, "Jordans_BackBeltLeft")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Jordans_BackBeltRight")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "Jordans_HipPouchBags")
group:getAllLocations():add(bodyLocation)

local bodyLocation = BodyLocation.new(group, "KnifeySheatheFix")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "KnifeSheathLeg")
group:getAllLocations():add(bodyLocation)
--group:setExclusive("KnifeSheathLeg", "KnifeSheathLeg")

local bodyLocation = BodyLocation.new(group, "KnifeSheathBack")
group:getAllLocations():add(bodyLocation)
--group:setExclusive("KnifeSheathBack", "KnifeSheathBack")

local bodyLocation = BodyLocation.new(group, "KatanaSheath")
group:getAllLocations():add(bodyLocation)
--group:setExclusive("KatanaSheath", "KatanaSheath")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "KatanaSheathHip")
group:getAllLocations():add(bodyLocation)
--group:setExclusive("KatanaSheathHip", "KatanaSheathHip")


local bodyLocation = BodyLocation.new(group, "KATTAJ1UpperLegs")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "KATTAJ1LowerLegs")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "KATTAJ1UpperArms")
group:getAllLocations():add(bodyLocation)
local bodyLocation = BodyLocation.new(group, "KATTAJ1LowerArms")
group:getAllLocations():add(bodyLocation)

local bodyLocation = BodyLocation.new(group, "KATTAJ1Balaclava")
group:getAllLocations():add(bodyLocation)
group:setExclusive("KATTAJ1Balaclava", "Mask")
group:getAllLocations():add(bodyLocation)
group:setExclusive("KATTAJ1Balaclava", "MaskEyes")
group:getAllLocations():add(bodyLocation)
--***********************************************************
--**                    THE INDIE STONE                    **
--***********************************************************

-- Locations must be declared in render-order.
-- Location IDs must match BodyLocation= and CanBeEquipped= values in items.txt.
local group = BodyLocations.getGroup("Human")

group:getOrCreateLocation("Belt419")
group:getOrCreateLocation("Belt420")
group:getOrCreateLocation("Belt421")
group:getOrCreateLocation("Belt422")
group:getOrCreateLocation("Belt423")
group:getOrCreateLocation("Kneepads")
group:getOrCreateLocation("Elbowpads")
group:getOrCreateLocation("Uparml")
group:getOrCreateLocation("Uparmr")
group:getOrCreateLocation("Uparml2")
group:getOrCreateLocation("Uparmr2")
group:getOrCreateLocation("Darml")
group:getOrCreateLocation("Darmr")
group:getOrCreateLocation("Dlegl")
group:getOrCreateLocation("Dlegr")
group:getOrCreateLocation("Footl")
group:getOrCreateLocation("Footr")
group:getOrCreateLocation("Handl")
group:getOrCreateLocation("Handr")
group:getOrCreateLocation("Back001")
group:getOrCreateLocation("Head001")
group:getOrCreateLocation("Tail001")
group:getOrCreateLocation("Ears001")
group:getOrCreateLocation("Chin001")
group:getOrCreateLocation("TorsoExtraVest")

group:getOrCreateLocation("Jordans_BackBeltLeft")
group:getOrCreateLocation("Jordans_BackBeltRight")
group:getOrCreateLocation("Jordans_HipPouchBags")

group:getOrCreateLocation("KnifeySheatheFix")
group:getOrCreateLocation("KnifeSheathLeg")
--group:setExclusive("KnifeSheathLeg", "KnifeSheathLeg")
group:getOrCreateLocation("KnifeSheathBack")
--group:setExclusive("KnifeSheathBack", "KnifeSheathBack")
group:getOrCreateLocation("KatanaSheath")
--group:setExclusive("KatanaSheath", "KatanaSheath")
group:getOrCreateLocation("KatanaSheathHip")
--group:setExclusive("KatanaSheathHip", "KatanaSheathHip")

group:getOrCreateLocation("KATTAJ1UpperLegs")
group:getOrCreateLocation("KATTAJ1LowerLegs")
group:getOrCreateLocation("KATTAJ1UpperArms")
group:getOrCreateLocation("KATTAJ1LowerArms")

group:getOrCreateLocation("KATTAJ1Balaclava")
group:setExclusive("KATTAJ1Balaclava", "Mask")
group:setExclusive("KATTAJ1Balaclava", "MaskEyes")
